#ifndef QCOMMON_Q_STRING_COMPARE_H
#define QCOMMON_Q_STRING_COMPARE_H

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

int32_t Q_stricmpn(const char *left, const char *right, int32_t count);
int32_t Q_strncmp(const char *left, const char *right, int32_t count);
int32_t Q_stricmp(const char *left, const char *right);

#ifdef __cplusplus
}
#endif

#endif
